;* Multiple trim--trim several objects from a "phantom" line
;* which is not existing in drawing.
;* Kent M. Taylor 1/90
;*
(defun c:mtrim (/ p1 p2 e1 e2 d1)
  (command "ortho" "on")
  (prompt "\nIndicate cutting plane: ")
  (setq p1 (getpoint))
  (setq p2 (getpoint p1))
  (command nil nil nil "point" "@")
  (setq e1 (entlast))
  (entdel e1)
  (command "line" p1 p2 "")
  (setq e2 (entnext e1))
   (while
    (setq d1 (entsel "\nSelect object to trim: "))
    (command "trim" e2 "" d1 "")
   );while
  (entdel e2)
  (command "ortho" "off")
 (princ)
)
(c:mtrim)
